from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include
from drf_spectacular.views import SpectacularSwaggerView, SpectacularAPIView
from django.conf import settings
from rest_framework_simplejwt.views import TokenObtainPairView,TokenRefreshView
from product import views
from account.views import CustomTokenObtainPairView


urlpatterns = [

    # djoser
    # path('auth/', include('djoser.urls')),
    # path('auth/', include('djoser.urls.jwt')),


    path('token/', CustomTokenObtainPairView.as_view(), name='token_obtain_pair'),
    # path('token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    path('admin/', admin.site.urls),
    path('schema/', SpectacularAPIView.as_view(), name='schema'),
    # path('comment/<int:pk>', views.CommentView.as_view(), name='comment-list'),
    path('products/', include('product.urls')),
    path('accounts/', include('account.urls')),
    path('chat/', include('chat.urls')),
    path('tickets/', include('ticket.urls')),
    path('', SpectacularSwaggerView.as_view(url_name='schema'), name='swagger-ui'),
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
